'use strict';

var angular = require('angular');
require('./modules');
require('uiRouter');

var module = angular.module('core.routes');

module.config(function($stateProvider) {
  $stateProvider
    .state('core-notice', {
      url: '/message',
      templateUrl: 'views/notice/notice.tpl.html',
      controller: 'NoticeListCtrl',
      data: {
        title: '通知',
        url: '^.notice',
        level: 0
      }
    })
    .state('core-linker', {
      url: '/linker',
      templateUrl: 'views/linker/linkerList.tpl.html',
      controller: 'LinkerCtrl',
      data: {
        title: '联系人',
        url: '^.linker',
        level: 0
      }
    })
    .state('core-find', {
      url: '/find',
      templateUrl: 'views/find/find.tpl.html',
      controller: 'FindCtrl',
      data: {
        title: '工作',
        url: '^.find',
        level: 0
      }
    })
    .state('core-setting', {
      url: '/setting',
      templateUrl: 'views/setting/setting.tpl.html',
      controller: 'SettingCtrl',
      data: {
        title: '设置',
        url: '^.setting',
        level: 0
      }
    });
});
